Bug 458254 - Review Request: fedora-package-config-zypper - Repository configuration for zypper
Review Request: fedora-package-config-zypper - Repository configuration for z...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 442714 447738 447740
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 06:27 EDT by Lorenzo Villani
Modified: 2009-01-26 09:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 09:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Villani 2008-08-07 06:27:51 EDT
Spec URL: http://www.binaryhelix.net/fedora-package-config-zypper.spec
SRPM URL: http://www.binaryhelix.net/fedora-package-config-zypper-9-1.fc9.rpm (it is an SRC rpm. don't worry)
This package contains repository configuration for zypper.
Comment 1 Debarshi Ray 2008-10-15 15:37:48 EDT
The Spec URL is not working.
Comment 2 Lorenzo Villani 2008-10-15 17:12:50 EDT
New SPEC URL: http://fedorapeople.org/gitweb?p=arbiter/public_git/rpm.git;a=blob_plain;f=system/fedora-package-config-zypper/fedora-package-config-zypper.spec;hb=HEAD

New SRPM URL: http://fedorapeople.org/~arbiter/srpm/fedora-package-config-zypper-9-1.fc10.src.rpm

Please note that, AFAIK, zypper does not support $releasever variable in .repo files, the release number is hardcoded in the .repo files.
Comment 3 Fabian Affolter 2008-12-08 06:33:42 EST
Just some quick comments on your spec file

- Don't mix $RPM_BUILD_ROOT and %{buildroot}
  https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

- URL is not the upstream URL.  Why not pack the file together and make a proper release which is hosted on fedorahosted.org?

- &doc is empty.  Is it necessary?

Zypper is not available for Fedora at the moment.  Does it make sense to add *.repo files without the tool to use them?
Comment 4 Lorenzo Villani 2008-12-10 09:41:45 EST
SPEC URL:
http://fedorapeople.org/gitweb?p=arbiter/public_git/rpm.git;a=blob_plain;f=system/fedora-package-config-zypper/fedora-package-config-zypper.spec;hb=HEAD

SRPM URL:
http://fedorapeople.org/~arbiter/srpm/fedora-package-config-zypper-10-1.fc10.src.rpm

(In reply to comment #3)
> Just some quick comments on your spec file
> 
> - Don't mix $RPM_BUILD_ROOT and %{buildroot}
>  
> https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

Done

> 
> - URL is not the upstream URL.  Why not pack the file together and make a
> proper release which is hosted on fedorahosted.org?
I put ZYpp url instead of fedoraproject.org, is that ok?

> 
> - &doc is empty.  Is it necessary?
> 
Removed %doc

> Zypper is not available for Fedora at the moment.  Does it make sense to add
> *.repo files without the tool to use them?
This review depends on the core zypp components, due to our recent move to rpm 4.6 upstream has to port it to that specific version before we can include it in Fedora. It makes sense to me to have the review sitting around until they fix the build issues.
Comment 5 Lorenzo Villani 2009-01-26 09:29:12 EST
Again, this review depends on core ZYpp stack components which are not yet ported to RPM 4.6 and won't build. Closing and waiting until upstream adds support for RPM 4.6

Note You need to log in before you can comment on or make changes to this bug.